Description
I'l add things | find on the way of installing ucloud 0.0.1 in this ticket and they should be fixed prior to release.

strike through what has been fixed

Small / doc Fixes

e ycloud-api
o README: include curl example on creating VM
o Include curl example on listing VMSs that belong to me
o Include curl example on deleting VM that belong to me
¢ ucloud-pay
o order of pipenv commands seems to be mixed up
o pipenv shell->run
o typos in getting started
o main command is ucloud_pay instead of main
o example uses a "seed" in the argument -> needs to be a token
o unit is a bit strange (12000)
o user should / needs to be able to register only for themselves
o need to distinguish ADMIN vs. USER actions better
¢ all docs:
o instead of pipenv shell and then executing, using pipenv run
o how to configure ucloud? where is the main doc?

ucloud-api
After following the manual, the following error happens:

[18:17] diamond:ucloud-api% pipenv run python main.py
Traceback (most recent call last):
File "main.py", line 13, in <module>
from config import etcd_client as client
File "/home/nico/vcs/ucloud-api/config.py", line 3, in <module>
from etcd3_wrapper import Etcd3Wrapper
ModuleNotFoundError: No module named 'etcd3_wrapper'
[18:18] diamond:ucloud-api%

ucloud-pay
We need a more graceful way of failing when stuff is not configured:

[18:33] diamond:ucloud-pay% pipenv run python ucloud_pay.py
Traceback (most recent call last):
File "ucloud_pay.py", line 11, in <module>
from config import etcd_client as client, logging, APP_PORT
File "/home/nico/vcs/ucloud-pay/config.py", line 15, in <module>
etcd_client = Etcd3Wrapper (host=config ("ETCD_HOST"), port=config("ETCD_PORT"))
File "/home/nico/.local/share/virtualenvs/ucloud-pay—-_iEKDH1V/lib/python3.7/site-packages/decoup
le.py", line 197, in __call___
return self.config(*args, **kwargs)
File "/home/nico/.local/share/virtualenvs/ucloud-pay—_1iEKDH1V/lib/python3.7/site-packages/decoup
le.py", line 85, in __call__
return self.get (*args, **kwargs)
File "/home/nico/.local/share/virtualenvs/ucloud-pay—_1iEKDH1V/lib/python3.7/site-packages/decoup
le.py", line 70, in get
raise UndefinedValueError ('{} not found. Declare it as envvar or define a default wvalue.'.form
at (option))
decouple.UndefinedValueError: ETCD_HOST not found. Declare it as envvar or define a default value.
[18:37] diamond:ucloud-pay$

Easy / small improvements (?)

e Centralisation
o maybe create a ucloud repo and begin to merge things
o maybe have main ucloud script to launch components
o maybe we add/move the documentation into there, as well
o all this considering: how many LOC do we have at the moment?
= need to consider this for whether it's a good idea to merge
¢ Configuration
o Qur configuration base is /etc/ucloud
o Let's define an entry file like /etc/ucloud/ucloud.SOMETHING
= something = json, ini, python, whatever
o This should be minimal and only contain etcd information
¢ etcd based configuration
o everything else should be in distributed data store

History

#1 - 10/12/2019 06:17 PM - Nico Schottelius

- Description updated

#2 - 10/12/2019 06:18 PM - Nico Schottelius

- Description updated

#3 - 10/12/2019 06:19 PM - Nico Schottelius

- Description updated

#4 - 10/12/2019 06:39 PM - Nico Schottelius

- Description updated

#5 - 10/12/2019 06:48 PM - Nico Schottelius

- Description updated

#6 - 10/12/2019 06:55 PM - Nico Schottelius

- Description updated

#7 - 10/12/2019 07:23 PM - Nico Schottelius

- Description updated

#8 - 10/13/2019 06:02 AM - Mondi Ravi
| added graceful handling of errors when ucloud-pay is not configured.

Now, it shows just the message.

(ucloud-pay) [pcoder@archlinux ucloud-pay]$ python ucloud_pay.py
ETCD_HOST not found. Declare it as envvar or define a default value.

#9 - 10/15/2019 06:03 PM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Nico Schottelius

Nico, it is possible although may not be that much of value. Sample command as follow
curl http://127.0.0.1:5000/vm/create -d '{"name":"admin", "realm":"ungleich-admin", "token":"'"$ (python -c
'import pyotp; print (pyotp.TOTP ("FEYGF2LNSEFESWC4") .now())")"

'", "vm_name": "my_vm", "specs": {"cpu": 2, "ram": "2gb", "os-ssd": "10gb", "hdd": ["100gb", "200gb"]}, "image
_uuid": "86bdedfb-c76e-420b-a4b4-£f7b3c30d9dal"}' -H "Content-Type: application/json" -X POST

Don't worry, the OTP triple is local.

#10 - 08/09/2021 03:20 PM - Nico Schottelius

- Status changed from New to Rejected
